Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 226686 - Create branch and switch to new branch combined
Create branch and switch to new branch combined
Status: VERIFIED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Git
7.3
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Ondrej Vrabec
issues@versioncontrol
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-25 20:34 UTC by markiewb
Modified: 2013-05-12 21:20 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Shows the dialog with new checkbox (37.24 KB, image/png)
2013-02-25 20:34 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-02-25 20:34:57 UTC
Created attachment 131866 [details]
Shows the dialog with new checkbox

When creating a git branch i like to switch to the newly created branch afterwards. Currently it takes to much steps.

ACTUAL Workflow: Right click on project->GIT->Branch->Create Branch->Type in branch name->Click on Create-Button->Right click on the project->GIT->Switch to Branch->Search for the previous typed in branch name->Click on switch

EXPECTED Workflow: Right click on project->GIT->Branch->Create Branch->Type in branch name->Click on "Create and switch to Branch" button (it could also implemented as an checkable option in the create branch dialog)
Comment 1 Ondrej Vrabec 2013-02-25 20:51:36 UTC
Already possible via Git -> Checkout Revision (checkout as new branch)
Comment 2 markiewb 2013-02-25 22:53:08 UTC
(In reply to comment #1)
> Already possible via Git -> Checkout Revision (checkout as new branch)

Thanks. I was not aware of this.
Comment 3 Ondrej Vrabec 2013-02-26 06:33:16 UTC
On the second thought this may be useful.
1) Not everyone is aware of Git -> Checkout and the create branch option
2) Git -> Create Branch and checkout may be similar to 1) but in the opposite order so some may find it useful.
Comment 4 Ondrej Vrabec 2013-02-26 10:52:15 UTC
fix: http://hg.netbeans.org/core-main/rev/d5e0b0561505
Comment 5 markiewb 2013-02-26 20:37:50 UTC
(In reply to comment #4)
> fix: http://hg.netbeans.org/core-main/rev/d5e0b056150
Wow. Thanks for the very fast implementation.
Comment 6 Quality Engineering 2013-02-27 16:13:27 UTC
Integrated into 'main-golden', will be available in build *201302270948* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d5e0b0561505
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: #226686 - Create branch and switch to new branch combined
checkbox added to the create branch panel


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo